Next: LSTAT, Previous: LOGICAL, Up: Intrinsic Procedures

### 8.181 `LSHIFT` — Left shift bits

Description:
  `LSHIFT` returns a value corresponding to I with all of the bits shifted left by SHIFT places. SHIFT shall be nonnegative and less than or equal to `BIT_SIZE(I)`, otherwise the result value is undefined. Bits shifted out from the left end are lost; zeros are shifted in from the opposite end.

  This function has been superseded by the `ISHFT` intrinsic, which is standard in Fortran 95 and later, and the `SHIFTL` intrinsic, which is standard in Fortran 2008 and later.

Standard:
  GNU extension
Class:
  Elemental function
Syntax:
  `RESULT = LSHIFT(I, SHIFT)`
Arguments:

  I | The type shall be `INTEGER`.
  SHIFT | The type shall be `INTEGER`.

Return value:
  The return value is of type `INTEGER` and of the same kind as I.
See also:
  ISHFT, ISHFTC, RSHIFT, SHIFTA, SHIFTL, SHIFTR